Class UmlBaseOnSignalAction

Declaration :

- C++ : class UmlBaseOnSignalAction : public UmlActivityAction
- Java : abstract class UmlBaseOnSignalAction extends UmlActivityAction

Directly inherited by : UmlOnSignalAction

Artifact : UmlBaseOnSignalAction

Operation UmlBaseOnSignalAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseOnSignalAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseOnSignalAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseOnSignalAction(long id, String s)

Operation signal

return the signal

Declaration :

- Uml : + signal() : string
- C++ : public: const QCString & signal()
- Java : public String signal()

Operation set_Signal

set the signal
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Signal(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Signal(const char * v)
- Java : public void set_Signal(String v) throws RuntimeException

Operation cppSignal

return the signal in C++

Declaration :

- Uml : + cppSignal() : string
- C++ : public: const QCString & cppSignal()
- Java : public String cppSignal()

Operation set_CppSignal

set the signal in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppSignal(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSignal(const char * v)
- Java : public void set_CppSignal(String v) throws RuntimeException

Operation javaSignal

return the signal in Java

Declaration :

- Uml : + javaSignal() : string
- C++ : public: const QCString & javaSignal()
- Java : public String javaSignal()

Operation set_JavaSignal

set the signal in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaSignal(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaSignal(const char * v)
- Java : public void set_JavaSignal(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribut _signal

Declaration :

- Uml : - _signal : string
- C++ : private: QCString _signal
- Java : private String _signal

Attribut _cpp_signal

Declaration :

- Uml : - _cpp_signal : string
- C++ : private: QCString _cpp_signal
- Java : private String _cpp_signal

Attribut _java_signal

Declaration :

- Uml : - _java_signal : string
- C++ : private: QCString _java_signal
- Java : private String _java_signal

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , cppSignal , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaSignal , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_CppSignal , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaSignal , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Signal , set_Stereotype , signal , stereotype , supportFile , unload , unload , unload